Package org.opensaml.saml.saml2.core.impl

# Class ExtensionsUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.saml.common.AbstractSAMLObjectUnmarshaller
org.opensaml.saml.saml2.core.impl.ExtensionsUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class ExtensionsUnmarshaller extends AbstractSAMLObjectUnmarshaller
A thread-safe Unmarshaller for `Extensions` objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`ExtensionsUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processAttribute(XMLObject xmlObject, Attr attribute)`
Called after an attribute has been unmarshalled so that it can be added to the XMLObject.
`protected void`
`processChildElement(XMLObject parentObject, XMLObject childObject)`
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject.
`protected void`
`processElementContent(XMLObject xmlObject, String elementContent)`
Called if the element being unmarshalled contained textual content so that it can be added to the XMLObject.

### Methods inherited from class org.opensaml.saml.common.AbstractSAMLObjectUnmarshaller

`parseSAMLVersion`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### ExtensionsUnmarshaller

public ExtensionsUnmarshaller()

## Method Details

### processChildElement

protected void processChildElement(@Nonnull XMLObject parentObject, @Nonnull XMLObject childObject) throws UnmarshallingException
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject. The default implementation of this method is a no-op.

Overrides:
  `processChildElement` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `parentObject` - the parent XMLObject
  `childObject` - the child XMLObject
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the child to the parent

### processAttribute

protected void processAttribute(XMLObject xmlObject, Attr attribute) throws UnmarshallingException
Called after an attribute has been unmarshalled so that it can be added to the XMLObject. The default implementation of this method is a no-op

Overrides:
  `processAttribute` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `xmlObject` - the XMLObject
  `attribute` - the attribute
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the attribute to the XMLObject

### processElementContent

protected void processElementContent(XMLObject xmlObject, String elementContent)
Called if the element being unmarshalled contained textual content so that it can be added to the XMLObject. The default implementation of this method is a no-op

Overrides:
  `processElementContent` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `xmlObject` - XMLObject the content will be given to
  `elementContent` - the Element's content